# Although there are tests
# the dependancies aren't in Fedora yet
%global enable_tests 0
%global npm_name ws

%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%{?scl:
%define _use_internal_dependency_generator 0
%define __find_requires %{_rpmconfigdir}/%{scl_prefix}require.sh
%define __find_provides %{_rpmconfigdir}/%{scl_prefix}provide.sh}

Summary:       Web socket client, server and console for nodejs
Name:          %{?scl_prefix}nodejs-%{npm_name}
Version:       0.4.25
Release:       6%{?dist}
Group:         System Environment/Libraries
License:       MIT
URL:           https://github.com/einaros/ws
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
Patch1:        remove-examples.patch
BuildRequires: python
BuildRequires: %{?scl_prefix}node-gyp
BuildRequires: %{?scl_prefix}nodejs-devel
%if 0%{?enable_tests}
BuildRequires: %{?scl_prefix}npm(ansi)
BuildRequires: %{?scl_prefix}npm(benchmark)
BuildRequires: %{?scl_prefix}npm(expect.js)
BuildRequires: %{?scl_prefix}npm(mocha)
BuildRequires: %{?scl_prefix}npm(should)
%endif

%description
Simple to use, blazing fast and thoroughly tested 
web socket client, server and console for nodejs, 
up-to-date against RFC-6455

%prep
%setup -q -n package
%patch1 -p1 -b .examples

%nodejs_fixdep commander '>=0.6.1'

%build
%{?scl:scl enable %scl - << \EOF}
export CXXFLAGS="%{optflags}"
node-gyp rebuild
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr bin build/Release/*.node index.js lib package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

# Setup Binaries
mkdir %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{npm_name}/bin/wscat %{buildroot}%{_bindir}/wscat

# Fix permissions
chmod 755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/bufferutil.node
chmod 755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/validation.node

%if 0%{?enable_tests}
%check
make test
%endif

%files
%doc History.md README.md examples doc
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/wscat

%changelog
* Mon Aug 05 2013 Troy Dawson <tdawson@redhat.com> - 0.4.25-6
- Add support for software collections

* Wed Jun 05 2013 Troy Dawson <tdawson@redhat.com> - 0.4.25-5
- Bump release number up (#975865)

* Wed Jun 05 2013 Troy Dawson <tdawson@redhat.com> - 0.4.25-4
- add nodejs exclusive arch

* Wed May 29 2013 Troy Dawson <tdawson@redhat.com> - 0.4.25-3
- Use nodejs_fixdep instead of sed to fix dependancy

* Wed May 29 2013 Troy Dawson <tdawson@redhat.com> - 0.4.25-2
- Fixed Summary and Description spelling errors
- Fixed nodejs-commander version dependancy
- Cleanup extra files and strange permissions

* Fri Mar 01 2013 Troy Dawson <tdawson@redhat.com> - 0.4.25-1
- Update to 0.4.25
- Update spec to Fedora nodejs standards

* Fri Nov 16 2012 Troy Dawson <tdawson@redhat.com> - 0.4.22-3
- Fix for building native modules

* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 0.4.22-1
- Initial build using tchor spec template

